Cancels a batch job.
HTTP request
POST https://storagebatchoperations.googleapis.com/v1/{name=projects/*/locations/*/jobs/*}:cancel
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "requestId": string } |
| Fields | |
|---|---|
requestId |
Optional. An optional request ID to identify requests. Specify a unique request ID in case you need to retry your request. Requests with same |
Response body
If successful, the response body is empty.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
storagebatchoperations.jobs.cancel
For more information, see the IAM documentation.